Subject: bug#58472: [PATCH] Make `message-unique-id' less prone to collisions

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 17 Oct 2022 13:22:17 +0200

Stefan Kangas <[email-masked]> writes:

> It still has the privacy issues I've indicated.  Leaking the euid for no
> good reason leaves you vulnerable to fingerprinting (or even attack, in
> the worst case scenario).

I don't think the privacy issues here are compelling.  And it's not for
"no good reason", as previously explained:

> I also don't think the kind of processing you propose on the Message-ID
> is useful, as most people end up with euid 1000 these days.  You have
> other headers that are more suitable for that.

No, matching on References/In-reply-to is the only way to get at that
functionality.